export declare function registerPaymentCustomerAndCreateWorkspaceSubscription(name: string, email: string, pricingId: string, paymentMethodId: string): Promise<Response>;
export declare function changeCurrentUserDefaultPaymentMethod(paymentMethodId: string): Promise<Response>;
export declare function getCurrentDefaultPaymentMethod(): Promise<Response>;
export declare function createTrialSubscription(pricingId: string, paymentMethodId: string, customerId: string): Promise<Response>;
export declare function createSubscriptionWithInstantPayment(pricingId: string, paymentMethodId: string, customerId: string): Promise<Response>;
export declare function subscribeAndPay(pricingId: string, paymentMethodId: string, customerId: string): Promise<{
    transactionId: string;
    confirmedPaymentStatus: import("stripe").Stripe.PaymentIntent.Status;
    clientSecret: string;
    subscriptionId: string;
}>;
export declare function subscribeTrial(pricingId: string, paymentMethodId: string, customerId: string): Promise<string>;
export declare function createPaymentSystemCustomer(name: string, email: string): Promise<string>;
export declare function createPaymentSystemSubscription(customerId: string, priceId: string, paymentMethodId: string): Promise<string>;
export declare function createPaymentSystemTrialSubscription(customerId: string, priceId: string, paymentMethodId: string): Promise<string>;
export declare function getInvoiceToPaySubscription(subscriptionId: string): Promise<string>;
export declare function completePayment(invoiceId: string, paymentMethodId: string, subscriptionId: string): Promise<{
    transactionId: string;
    confirmedPaymentStatus: import("stripe").Stripe.PaymentIntent.Status;
    clientSecret: string;
}>;
export declare function hasPaymentSystemSubscription(customerId: string, priceId: string): Promise<boolean>;
export declare function getSubscriptionPeriodEndDate(subscriptionId: string): Promise<Date>;
export declare function getSubscriptionTrialEndDate(subscriptionId: string): Promise<Date>;
export declare function getSubscriptionFromTransactionId(transactionId: string): Promise<string>;
export declare function storePaymentData(transactionId: string, subscriptionId: string, pricingId: string): Promise<void>;
export declare function storeTrialSubscription(subscriptionId: string, pricingId: string): Promise<void>;
export declare function getAfterPaymentDetails(transactionId: string): Promise<{
    paymentMethodId: string;
    amount: number;
    currency: "UAH" | "USD" | "EUR";
}>;
export declare function cancelIncompleteSubscription(subscriptionId: string): Promise<void>;
export declare function changePaymentSystemPlanName(productId: string, newName: string): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Product>>;
export declare function deactivatePaymentPlan(productName: string): Promise<void>;
export declare function changePaymentSystemPlanStatus(productId: string, isActive: boolean): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.Product>>;
export declare function getPaymentPlanIdByPriceId(priceId: string): Promise<string>;
export declare function getCurrentPaymentSystemCustomerId(): Promise<string>;
export declare function detachPaymentMethod(methodId: string): Promise<import("stripe").Stripe.Response<import("stripe").Stripe.PaymentMethod>>;
